<template>
  <div class="page">
    <div class="page__error error">
      <h1 class="error__code">{{ $route.params.code }}</h1>
      <h2 class="error__message">{{ error }}</h2>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex';

export default {
  name: 'Error',
  computed: {
    ...mapState({
      error (state) {
        return state.errors[this.$route.params.code];
      }
    })
  }
};

</script>

<style scoped>

  .page {
    height: 100%;
    background: #2c3e50;

    &:before {
      content: '';
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }

    &__error {
      display: inline-block;
      vertical-align: middle;
    }
  }

  .error {
    width: 100%;
    margin: 0 auto;
    text-align: center;

    &__code {
      color: #e74c3c;
      font-size: 3rem;
    }

    &__message {
      color: #ecf0f1;
      font-size: 1.4rem;
    }
  }

</style>